Skip to main content
PUT
/
commerce
/
rules
/
customer
/
{code}
Error
A valid request URL is required to generate request examples
{
  "auditInfo": {
    "createBy": "<string>",
    "createDate": "2023-11-07T05:31:56Z",
    "updateBy": "<string>",
    "updateDate": "2023-11-07T05:31:56Z"
  },
  "code": "<string>",
  "description": "<string>",
  "expression": {
    "text": "<string>",
    "tree": {
      "left": "<string>",
      "logicalOperator": "<string>",
      "nodes": "<array>",
      "operator": "<string>",
      "right": "<unknown>",
      "type": "<string>"
    }
  },
  "id": 123,
  "name": "<string>",
  "ruleType": "<string>"
}

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Path Parameters

code
string
required

Query Parameters

responseFields
string

limits which fields are returned in the response body

Body

application/json
auditInfo
object
code
string | null

unique code.

description
string | null

Description for rule

expression
object

Category

id
integer<int32>

Unique id

name
string | null

Rule name

ruleType
string | null

Scope id

Response

Success

auditInfo
object
code
string | null

unique code.

description
string | null

Description for rule

expression
object

Category

id
integer<int32>

Unique id

name
string | null

Rule name

ruleType
string | null

Scope id